Subject: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Dmitrii Kuragin <[email-masked]>
Date: Sat, 3 Sep 2022 09:35:09 -0700

Thank you for all the findings, I was already working on an implementation
:)

I didn't dig too deep but it worked somehow.

I was stuck on the support of tmux, maybe I misconfigured the tmux or I
didn't have to use DCS escapes. I will try to figure this out.

BTW, the compilation on master fails w/:
```
debug-early(error (error "Keyword argument :inhibit-native-compile not one
of (:version :inhibit-provide :coding :autoloads :compile :provide)"))
```

On Sat, Sep 3, 2022 at 2:07 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Gerd Möllmann <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Sat, 03 Sep 2022 10:04:14 +0200
> >
> > Gerd Möllmann <[email-masked]> writes:
> >
> > > Eli Zaretskii <[email-masked]> writes:
> > >
> > >> Actually, I think we'll need one more small change.  These hooks are
> > >> called from update_begin and update_end like this:
> > >
> > > Dmitrii, do you want to try implementing that?
> >
> > Searching the web for "emacs synchronized updates" turned up this patch,
> > which you could try
> >
> > https://gist.github.com/Patryk27/c7b9dac8113f4ccdb2ef74e0083d9d41
>
> Just without the explicit calls to fflush, please.  I think that's
> there to cover for the bug in update_frame which I mentioned before.
>

-- 
*If you get an email from me outside of the 9-5 it is *not* because I'm
always on or expect an immediate response from you; it is because of work
flexibility
<http://www.inc.com/john-boitnott/how-flexible-hours-can-create-a-better-work-life-balance.html>
.  Evening and weekend emails are a sign I allocated some regular working
hours for other things (such as family, gym, friends,...).  And I encourage
you to feel free to do the same.